Redmine - Defect #22023

Issue id input should get focus after adding related issue
2016-02-12 19:13 - Jim Poserina

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.8

Resolution: Affected version: 24.0
Description

Current behavior when adding multiple related issues:

e Click Add

¢ Issue # text input has focus

e Enter issue number, press Enter key

The add related issue subform stays open, but the Issue # input has lost focus

To add another related issue, you must either:

¢ Tab 5 times (to cycle through the Add link, the link to the related issue, the Delete relation link, the relation type drop-down, and
then the Issue # input). Then to add a third issue, you must tab 7 times. For a fourth, 9 times, and so on.

¢ Move the mouse and re-click the text input.

¢ Click Add to close the subform and then Add to reopen it, whereupon the Issue # input receives focus.

The Ul anticipates that you may need to enter multiple related issues as the subform stays open after each addition. Thus after a
related issue is added the Issue # input should retain focus.

Associated revisions

Revision 17337 - 2018-05-15 02:20 - Go MAEDA
Fix: Issue id input should get focus after adding related issue (#22023).

Patch by Mizuki ISHIKAWA.

Revision 17338 - 2018-05-15 02:22 - Go MAEDA
Merged r17337 from trunk to 3.4-stable (#22023).

Revision 17339 - 2018-05-15 02:25 - Go MAEDA
Merged r17337 from trunk to 3.3-stable (#22023).

History

#1 - 2018-05-09 21:59 - Jim Poserina
Ping

#2 - 2018-05-10 10:27 - Mizuki ISHIKAWA

This feature can be realized by the following small change.

diff --git a/app/views/issue_relations/create.js.erb b/app/views/issue_relations/create.js.erb
index 0c2e036cc5..1£296e66d4 100644
--— a/app/views/issue_relations/create.js.erb
+++ b/app/views/issue_relations/create. js.erb
@@ -2,6 +2,6 Q@ S$('#relations').html ('<%= escape_javascript (render :partial => 'issues/relations
<% 1if @relation.errors.empty? %>
S('#relation_delay').val(''");
S('"#relation_issue_to_id").val('");
- $('"#relation_issue_to_id') .focus();
<% end %>
S ('"#new-relation—-form') .show();
+$ ("#relation_issue_to_id") .focus();
\ No newline at end of file
#3 - 2018-05-12 05:19 - Go MAEDA

- Target version set to 3.3.8

The patch posted by Mizuki works fine. Setting target version to 3.3.8.

The current code of Redmine sets focus to the text box in r /3.4 L5 but the focus will be cleared

by $('#new-relation-form’).show(); in source:taqs/3.4.5/apo/views/issueﬁrelations/create.is.erB#L7.

The original code tries to set the focus only when no error occurs, but the proposed patch also sets the focus when an error occurs. | think the
behavior of the patch is more natural.

#4 - 2018-05-12 08:10 - Go MAEDA
- Tracker changed from Feature to Defect
- Subject changed from Have the Issue # input retain focus after adding related issue to Issue ID input should get focus after adding related issue

- Affected version set to 2.4.0

This bug seems to be introduced in r11610 (Redmine 2.4.0).

#5 - 2018-05-15 02:27 - Go MAEDA
- Subject changed from Issue ID input should get focus after adding related issue to Issue id input should get focus after adding related issue
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed to the trunk and stable branches. Thank you all for reporting and fixing this issue.
